package ec.sri.test.validation.main;

import java.util.Set;

import javax.validation.ConstraintViolation;
import javax.validation.Validation;
import javax.validation.Validator;
import javax.validation.ValidatorFactory;

import ec.sri.test.validation.bean.Cliente;

public class Main {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		Cliente c = new Cliente();
		c.setIdCliente("123456789");
		c.setTipoIdCliente(null);
		c.setEmail("mailinvalido@");
		
		ValidatorFactory factory = Validation.buildDefaultValidatorFactory();
		Validator validator = factory.getValidator();
		Set<ConstraintViolation<Cliente>> violations = validator.validate(c);
		
		for(ConstraintViolation<Cliente> cv : violations) {
			System.out.println(cv.getPropertyPath() + " -> " +
					cv.getMessage() + "   " + cv.getMessageTemplate());
		}
	}
}
